package com.dbxml.db.core.trigger;

/*
 * dbXML - Native XML Database
 * Copyright (C) 1999-2004  The dbXML Group, L.L.C.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * $Id: CannotCreateException.java,v 1.3 2004/02/12 00:17:57 bradford Exp $
 */

import com.dbxml.db.core.FaultCodes;

/**
 * A CannotCreateException is thrown if a Trigger cannot
 * be properly created in the server context for some reason.
 */

public final class CannotCreateException extends TriggerException {
   public CannotCreateException() {
      super(FaultCodes.TRG_CANNOT_CREATE);
   }

   public CannotCreateException(Throwable wrapped) {
      super(FaultCodes.TRG_CANNOT_CREATE, wrapped);
   }

   public CannotCreateException(String message) {
      super(FaultCodes.TRG_CANNOT_CREATE, message);
   }

   public CannotCreateException(String message, Throwable wrapped) {
      super(FaultCodes.TRG_CANNOT_CREATE, message, wrapped);
   }
}
